### Method

# GdkPixdata Pixdata from_pixbuf

deprecated: 2.32

#### Declaration [src]

    gpointer
    gdk_pixdata_from_pixbuf (
      GdkPixdata* pixdata,
      const GdkPixbuf* pixbuf,
      gboolean use_rle
    )

#### Description [src]

Converts a `GdkPixbuf` to a `GdkPixdata`.

If `use_rle` is `TRUE`, the pixel data is run-length encoded into newly-allocated memory and a pointer to that memory is returned.

Deprecated since: 2.32

Use `GResource` instead.

This method is not directly available to language bindings.

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  The data to fill `pixdata` with.

  The data is owned by the caller of the method.

`use_rle`

  Type: `gboolean`

  Whether to use run-length encoding for the pixel data.

#### Return value

Type: An array of `guint8`

If `use_rle` is `TRUE`, a pointer to the newly-allocated memory for the run-length encoded pixel data, otherwise `NULL`.